RequestExpired while using Ruby Fog with AWS

If you get a RequestExpired => Request has expired error from the Fog library in Ruby,
check that your system time is correct. It likely means that your clock is out of sync
with AWS.